ft_sql_transformer {sparklyr} | R Documentation

## Feature Transformation – SQLTransformer

### Description

Transform a data set using SQL. Use the `__THIS__` placeholder as a proxy for the active table.

### Usage

    ft_sql_transformer(x, input.col = NULL, output.col = NULL, sql, ...)

### Arguments

`x` | An object (usually a `spark_tbl`) coercable to a Spark DataFrame.
`input.col` | The name of the input column(s).
`output.col` | The name of the output column.
`sql` | A SQL statement.
`...` | Optional arguments; currently unused.

### Details

Although this function accepts the `input.col` and `output.col` arguments, they are ignored – this interface is done purely for compatibility with `sdf_mutate`.

### See Also

See http://spark.apache.org/docs/latest/ml-features.html for more information on the set of transformations available for DataFrame columns in Spark.

Other feature transformation routines: `ft_binarizer`, `ft_bucketizer`, `ft_discrete_cosine_transform`, `ft_elementwise_product`, `ft_index_to_string`, `ft_one_hot_encoder`, `ft_quantile_discretizer`, `ft_regex_tokenizer`, `ft_string_indexer`, `ft_tokenizer`, `ft_vector_assembler`, `sdf_mutate`

[Package sparklyr version 0.5.6 Index]